package com.study.libs;

import android.content.Context;
import android.content.SharedPreferences;

/**
 * 存储资源的地址，以及一些不需要重复创建的内容
 */
public class SkinPreference {

    public static final String SKIN_SHARED = "skins";
    public static final String KEY_SKIN_PATH = "skin_path";
    private SharedPreferences mPref;

    private static SkinPreference instance;

    private SkinPreference(Context context) {
        mPref = context.getSharedPreferences(SKIN_SHARED, Context.MODE_PRIVATE);
    }

    public static void init(Context context) {
        if (null == instance) {
            synchronized (SkinPreference.class) {
                if (null == instance) {
                    instance = new SkinPreference(context);
                }
            }
        }
    }

    public static SkinPreference getInstance() {
        return instance;
    }

    /**
     * 设置内容
     */
    public void setSkin(String skinPath) {
        mPref.edit().putString(KEY_SKIN_PATH, skinPath).apply();
    }

    public void reset() {
        mPref.edit().remove(KEY_SKIN_PATH).apply();
    }

    public String getSkin() {
        return mPref.getString(KEY_SKIN_PATH, "");
    }


}
